## librsvg 2.48.2

=== debian/changelog ===
librsvg (2.48.2-1) unstable; urgency=medium

  * debian/control.in:
    - Build-Depends on libharfbuzz-dev, new configure.ac requirement

  [ Olivier Tilloy ]
  * New upstream release
  * Drop patch that was applied upstream
    (578-Link-the-C-tests-to-harfbuzz-so-they-can-call-hb_vers.patch)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Apr 2020 22:23:36 +0200

librsvg (2.48.0-2) unstable; urgency=medium

  * Fix FTBFS in the tests due to missing link against libharfbuzz
    (Closes: #955264)
  * debian/control.in: Bump Standards-Version 4.5.0 (no further changes)
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>,
    move the -doc package to BDI and add libgdk-pixbuf2.0-doc to it

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Apr 2020 00:11:51 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: librsvg
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 12),
               dh-cargo,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.8),
               gtk-doc-tools (>= 1.13),
               jq,
               libcairo2-dev (>= 1.2.0),
               libfreetype6-dev (>= 2.8.0),
               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
               libgirepository1.0-dev (>= 0.10.8),
               libglib2.0-dev (>= 2.24.0),
               libharfbuzz-dev,
               libpango1.0-dev (>= 1.38.0),
               libxml2-dev (>= 2.9.0),
               locales,
               rustc (>= 1.26),
               valac (>= 0.17.5)
Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
                     libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
                     libglib2.0-doc (>= 2.52.0) <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
Homepage: https://wiki.gnome.org/Projects/LibRsvg

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.2.0),
         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
         libglib2.0-dev (>= 2.24.0),
         librsvg2-2 (= ${binary:Version}),
         librsvg2-common (= ${binary:Version}),
         ${misc:Depends}
Suggests: librsvg2-doc
Multi-Arch: same
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: librsvg2-common
Suggests: librsvg2-bin
Multi-Arch: same
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Architecture: any
Depends: librsvg2-2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: SAX-based renderer library for SVG files (documentation)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the API documentation.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: librsvg2-2 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: command-line utility to convert SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format.

Package: gir1.2-rsvg-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gir files for renderer library for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains GObject-Introspection information.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
export CARGO_HOME = $(CURDIR)/debian/cargo-home
NULL =

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(CARGO_HOME)
	dh_auto_configure -- \
		--enable-pixbuf-loader \
		--enable-installed-tests \
		--enable-introspection \
		--enable-vala \
		--enable-gtk-doc \
		GDK_PIXBUF_QUERYLOADERS=/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	rm -f debian/tmp/usr/bin/rsvg-view-3
	dh_install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -fr $(CARGO_HOME)
	if test -e vendor/backtrace-sys/.cargo-checksum.json.dist; then \
		mv vendor/backtrace-sys/.cargo-checksum.json.dist vendor/backtrace-sys/.cargo-checksum.json; \
	fi

# Skip rsvg-tests which contain the reftests; they are tightly coupled to
# specific versions of pixman, cairo, pango, and freetype. This list of
# tests comes from the test_programs variable in tests/Makefile.am.
# See also https://gitlab.gnome.org/GNOME/librsvg/issues/511 and
# https://gitlab.gnome.org/GNOME/librsvg/issues/512 for an attempt to
# mitigate this problem upstream.
export TESTS = "api loading crash render-crash dimensions errors infinite-loop"

# https://bugs.debian.org/895723
ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el ppc64 powerpc))
override_dh_auto_test:
	CARGO_INCREMENTAL=1 dh_auto_test -- TESTS=$(TESTS)
endif

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/locales
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
	find debian -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-print0 | xargs -0 tail -v -c1M
endif

override_dh_auto_test-indep:
	@:

## librsvg 2.48.9

=== vendor/gdk-pixbuf/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gtk-3.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs
	cargo fmt

doc: $(GIR) $(GIR_FILES)
	$(GIR) -m doc -c Gir.toml

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	cargo fmt
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
librsvg (2.48.9-1ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read when xinclude href has special
    characters
    - debian/patches/CVE-2023-38633.patch: validate URLs in
      librsvg/rsvg-handle.c, rsvg_internals/src/allowed_url.rs,
      rsvg_internals/src/filters/component_transfer.rs, tests/*.
    - debian/patches/fix_old_rust_compat.patch: fix compatibility with
      older rust versions in rsvg_internals/src/allowed_url.rs.
    - CVE-2023-38633
  * Don't fail the build on tests error for i386

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jul 2023 08:56:58 -0400

librsvg (2.48.9-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU new upstream release to focal (LP: #1903329)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 30 Nov 2020 18:08:14 +0100

librsvg (2.48.7-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU new upstream release to focal (LP: #1884326)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Jun 2020 23:19:37 +0200

librsvg (2.48.7-1) unstable; urgency=medium

  * New upstream release
  * d/librsvg2-2.symbols: updated symbols for new/removed APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 09 Jun 2020 14:35:19 +0200

librsvg (2.48.4+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/rules: Fail the build early on Loongson-3A mips* hardware.
    This is apparently known to have FPU bugs that will break librsvg's
    tests, so don't even try. Mitigates: #959845
  * Skip invalid_viewbox test on 32-bit x86.
    This test appears to be failing on i386, possibly due to extended
    precision in the i387 FPU. Building with -mfpmath=sse might resolve this,
    but that isn't currently allowed in Debian due to our i386 baseline
    being 20 years old (in particular no SSE and no SSE2). (Closes: #959847)
  * d/watch: Force repacking without Windows archive files.
    Please use `uscan --download` to download new upstream releases with
    Files-Excluded taken into account.

 -- Simon McVittie <smcv@debian.org>  Mon, 11 May 2020 20:16:22 +0100

librsvg (2.48.4-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 May 2020 16:37:03 +0200

librsvg (2.48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump glib (build-)dependency to 2.50.0
  * debian/rules: Drop workaround for the tests on ppc*
    The package should now build fine on these architectures (Closes: #955845)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Apr 2020 11:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-cargo,
                gnome-pkg-tools (>= 0.10),
@@ -17,7 +18,7 @@
                libfreetype6-dev (>= 2.8.0),
                libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
-               libglib2.0-dev (>= 2.24.0),
+               libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
@@ -39,7 +40,7 @@
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
          libgdk-pixbuf2.0-dev (>= 2.23.5-2),
-         libglib2.0-dev (>= 2.24.0),
+         libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,17 @@
 	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Fail early on known-bad CPUs
+	case "$$(cat /proc/cpuinfo)" in \
+		(*Loongson-3A* | *Loongson-3?V0.5*) \
+			echo "librsvg's tests are known to fail on Loongson-3A CPUs due to FPU bugs" >&2; \
+			echo "See https://bugs.debian.org/959845" >&2; \
+			echo "Use a different buildd, or as a last resort, build with nocheck." >&2; \
+			exit 1; \
+			;; \
+	esac
+endif
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
@@ -55,24 +66,23 @@
 # mitigate this problem upstream.
 export TESTS = "api loading crash render-crash dimensions errors infinite-loop"
 
-# https://bugs.debian.org/895723
-ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el ppc64 powerpc))
-override_dh_auto_test:
-	CARGO_INCREMENTAL=1 dh_auto_test -- TESTS=$(TESTS)
-endif
-
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(CURDIR)/debian/locales
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
+ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
+	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
+	echo "ignoring tests result on i386"
+else
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
 		-print0 | xargs -0 tail -v -c1M
 endif
+endif
 
 override_dh_auto_test-indep:
 	@:

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+]dfsg[0-9]*//g" \
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## librsvg 2.50.1+dfsg

=== debian/changelog ===
librsvg (2.50.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * d/librsvg2-2.symbols: updated symbols for new APIs

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 06 Oct 2020 16:01:21 +0200

librsvg (2.50.0+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 15:09:38 +0200

librsvg (2.49.5+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 08 Sep 2020 18:03:49 +0200

librsvg (2.48.8+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patch series
  * d/copyright: Update
  * Revert checks for Loongson-3A mips* hardware.
    The root cause of #959845 is believed to have been avoided by disabling
    the madd.fmt instructions in llvm-toolchain-*.
  * d/copyright: Exclude HTML code coverage report from imported source
    - Add patch to avoid checksumming the excluded file
  * d/watch: Add a +dfsg suffix to the repacked tarball
  * d/copyright: Consolidate Rust modules into one stanza
  * d/librsvg2-2.lintian-overrides: Override tag for no compiler hardening.
    Rust code doesn't use C string concatenation, so it's not going to use
    the hardened versions either.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Sep 2020 14:47:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-cargo,
@@ -23,7 +22,7 @@
                libpango1.0-dev (>= 1.38.0),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.26),
+               rustc (>= 1.40),
                valac (>= 0.17.5)
 Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,6 @@
 	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Fail early on known-bad CPUs
-	case "$$(cat /proc/cpuinfo)" in \
-		(*Loongson-3A* | *Loongson-3?V0.5*) \
-			echo "librsvg's tests are known to fail on Loongson-3A CPUs due to FPU bugs" >&2; \
-			echo "See https://bugs.debian.org/959845" >&2; \
-			echo "Use a different buildd, or as a last resort, build with nocheck." >&2; \
-			exit 1; \
-			;; \
-	esac
-endif
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
@@ -72,17 +61,12 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
-	echo "ignoring tests result on i386"
-else
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
 		-print0 | xargs -0 tail -v -c1M
 endif
-endif
 
 override_dh_auto_test-indep:
 	@:

## librsvg 2.50.3+dfsg

=== debian/changelog ===
librsvg (2.50.3+dfsg-1+deb11u1) bullseye-security; urgency=high

  * Team upload
  * d/gbp.conf: Branch for bullseye
  * d/p/996-Fix-arbitrary-file-read-when-href-has-special-charact.patch:
    Add patch from upstream 2.50.8 to fix a directory traversal
    vulnerability (Closes: #1041810, CVE-2023-38633)
  * d/p/Fix-compilation-on-rustc-1.40.0.patch:
    Add patch from upstream 2.50.9 to fix a build regression in the fix
    for #1041810
  * d/p/tests-Fix-build-with-older-Autotools.patch:
    Fix another build regression in the fix for #1041810

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 19:11:45 +0100

librsvg (2.50.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes FTBFS with newer rustc (Closes: #976577)
  * (Build-)Depend on libgdk-pixbuf-2.0-dev in preference to
    transitional package libgdk-pixbuf2.0-dev
  * d/upstream/metadata: Add
  * d/copyright: Update
  * Drop patch and exclusion that are no longer needed
  * Standards-Version: 4.5.1 (no changes required)
  * Remove obsolete workarounds for backtrace-sys crate

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Jan 2021 00:35:18 +0000

librsvg (2.50.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 23 Nov 2020 23:29:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 override_dh_clean:
 	dh_clean
 	rm -fr $(CARGO_HOME)
-	if test -e vendor/backtrace-sys/.cargo-checksum.json.dist; then \
-		mv vendor/backtrace-sys/.cargo-checksum.json.dist vendor/backtrace-sys/.cargo-checksum.json; \
-	fi
 
 # Skip rsvg-tests which contain the reftests; they are tightly coupled to
 # specific versions of pixman, cairo, pango, and freetype. This list of

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+]dfsg[0-9]*//g,repacksuffix=+dfsg" \
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## librsvg 2.50.7+dfsg

=== debian/changelog ===
librsvg (2.50.7+dfsg-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump Build-Depends on libpango1.0-dev to (>= 1.44.0)
    per upstream requirement

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Jun 2021 16:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                jq,
                libcairo2-dev (>= 1.2.0),
                libfreetype6-dev (>= 2.8.0),
-               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+               libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
-               libpango1.0-dev (>= 1.38.0),
+               libpango1.0-dev (>= 1.44.0),
                libxml2-dev (>= 2.9.0),
                locales,
                rustc (>= 1.40),
@@ -28,7 +28,7 @@
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
                      libglib2.0-doc (>= 2.52.0) <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg
@@ -38,7 +38,7 @@
 Architecture: any
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
-         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),

## librsvg 2.52.5+dfsg

=== vendor/sha1/Makefile ===
build:
	@cargo build

watch:
	@cargo watch

watch-docs:
	@cargo watch build "doc --no-deps"

test:
	@cargo test --features=serde
	@cargo test --features=std
	@cargo test

docs: build
	@cargo doc --no-deps

upload-docs: docs
	@./upload-docs.sh

.PHONY: build test docs upload-docs

=== debian/changelog ===
librsvg (2.52.5+dfsg-3ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read when xinclude href has special
    characters
    - debian/patches/CVE-2023-38633.patch: validate URLs in
      include/librsvg/rsvg.h, src/error.rs, src/lib.rs,
      src/url_resolver.rs, tests/*.
    - CVE-2023-38633
  * Don't fail the build on tests error for i386 (LP: #1976259)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jul 2023 08:55:53 -0400

librsvg (2.52.5+dfsg-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/rules: remove a test which is failing due to pango
    https://gitlab.gnome.org/GNOME/librsvg/-/issues/824

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 06:21:00 -0500

librsvg (2.52.5+dfsg-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Adjust Lintian overrides
  * Standards-Version: 4.6.0 (no changes required)

  [ Jeremy Bicha ]
  * Bump debhelper-compat to 13
  * debian/control.in: Bump minimum rustc to 1.52
  * debian/control.in: Build-Depend on cargo instead of dh-cargo
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Jan 2022 07:53:46 -0500

librsvg (2.52.5+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release, required by GTK 4.6
  * Update patch series
  * d/copyright: Exclude a CC-BY-SA-2.0 test image.
    It's not clear whether CC-BY-SA-2.0 is DFSG-compliant (3.0 is, 1.0 isn't).
  * d/p/debian/tests-Replace-a-CC-BY-SA-2.0-test-image-with-a-simpler-on.patch,
    d/rules, d/clean, d/source/include-binaries, d/a-link-purple-bg.png:
    Replace CC-BY-SA-2.0-licensed test image with a simpler one
  * d/rules: Don't delete *.bak in dh_clean
  * d/p/Link-librsvg-with-libpthread-fixing-a-link-failure.patch:
    Link with libpthread
  * d/rules: Don't try to run tests that are no longer in the Automake build
    system
  * d/copyright: Update
  * d/librsvg2-2.install: Stop installing locales, no longer provided
  * d/librsvg2-2.symbols: Add new symbols
  * d/librsvg2-2.symbols: Ignore removal of private symbols
  * d/rules: Increase reftest tolerance for i386 due to i387 FPU
  * d/rules: Skip a problematic reftest on i386
  * Release to experimental for initial testing

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jan 2022 19:00:55 +0000

librsvg (2.50.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-cargo,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.10.8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               cargo,
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.13),
                jq,
                libcairo2-dev (>= 1.2.0),
@@ -22,13 +23,13 @@
                libpango1.0-dev (>= 1.44.0),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.40),
+               rustc (>= 1.52),
                valac (>= 0.17.5)
 Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
                      libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
                      libglib2.0-doc (>= 2.52.0) <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
 Vcs-Git: https://salsa.debian.org/gnome-team/librsvg.git
 Homepage: https://wiki.gnome.org/Projects/LibRsvg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export CARGO_HOME = $(CURDIR)/debian/cargo-home
NULL =

ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
$(info Increasing reftest tolerance to account for legacy i387 FPU)
export RSVG_TEST_TOLERANCE=20
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(CARGO_HOME)
	cp -a debian/a-link-purple-bg.png tests/fixtures/cmdline/a-link-purple-bg.png
	dh_auto_configure -- \
		--enable-pixbuf-loader \
		--enable-installed-tests \
		--enable-introspection \
		--enable-vala \
		--enable-gtk-doc \
		GDK_PIXBUF_QUERYLOADERS=/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		$(NULL)

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	find debian/tmp -name '*.la' -print -delete
	rm -f debian/tmp/usr/bin/rsvg-view-3
	dh_install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
		debian/librsvg2-common.postinst

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_clean:
	dh_clean -X.bak
	rm -fr $(CARGO_HOME)
ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b.svg
	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b-ref.png
endif
	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b.svg
	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/locales
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
	echo "ignoring tests result on i386"
else
	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
	find debian -name '*.log' \
		-not -name config.log \
		-not -name test-suite.log \
		-print0 | xargs -0 tail -v -c1M
endif
endif

override_dh_auto_test-indep:
	@:

=== debian/tests/control ===
Tests: build
Depends: build-essential, librsvg2-dev
Restrictions: allow-stderr, superficial

Tests: convert
Depends: file, librsvg2-bin
Restrictions: allow-stderr, superficial

## librsvg 2.54.4+dfsg

=== debian/changelog ===
librsvg (2.54.4+dfsg-1ubuntu1) kinetic; urgency=medium

  * Don't fail the build on tests error for i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Sep 2022 10:10:28 +0200

librsvg (2.54.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS was renamed to NEWS.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 14:12:21 -0400

librsvg (2.54.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * d/clean: Fix build-twice-in-a-row (Closes: #1012017)
  * New upstream release
  * d/librsvg2-doc.install: Update for new upstream documentation
    install location
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 29 May 2022 14:34:09 +0100

librsvg (2.54.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev
    package
  * d/copyright: Exclude larger web and Windows dependencies, to avoid
    needing to keep track of their contents
  * New upstream release
  * d/control.in: Update build-dependencies
  * d/rules: Disable gi-docgen if not building -doc package
  * d/rules: Disable man pages in nodoc build profile
  * Refresh patch series
  * Tolerate some reftest differences
  * d/rules, d/log-reftests.py: Output diffs as base64 for analysis
  * Update documentation installation directories for gi-docgen
  * Fix a malformed Lintian override

 -- Simon McVittie <smcv@debian.org>  Sun, 08 May 2022 12:13:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,19 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 export CARGO_HOME = $(CURDIR)/debian/cargo-home
 NULL =
+built_binaries := $(shell dh_listpackages)
+configure_flags :=
 
-ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
-$(info Increasing reftest tolerance to account for legacy i387 FPU)
+# Increase reftest tolerance a bit to account for different harfbuzz,
+# pango, etc.
 export RSVG_TEST_TOLERANCE=20
+
+ifeq ($(filter %-doc,$(built_binaries)),)
+configure_flags += GI_DOCGEN=no
+endif
+
+ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+configure_flags += RST2MAN=no
 endif
 
 %:
@@ -20,13 +29,20 @@
 override_dh_auto_configure:
 	mkdir -p $(CARGO_HOME)
 	cp -a debian/a-link-purple-bg.png tests/fixtures/cmdline/a-link-purple-bg.png
+	# We removed the source code of these packages to reduce the amount
+	# of vendored code to review, but cargo will report errors if there
+	# isn't at least a stub there
+	set -e; for package in js-sys web-sys windows-sys; do \
+		mkdir -p vendor/$$package/src; \
+		touch vendor/$$package/src/lib.rs; \
+	done
 	dh_auto_configure -- \
 		--enable-pixbuf-loader \
 		--enable-installed-tests \
 		--enable-introspection \
 		--enable-vala \
-		--enable-gtk-doc \
 		GDK_PIXBUF_QUERYLOADERS=/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
+		$(configure_flags) \
 		$(NULL)
 
 override_dh_install:
@@ -47,8 +63,10 @@
 	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b.svg
 	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b-ref.png
 endif
+	rm -f tests/fixtures/reftests/bugs/730-font-scaling-ref.png
+	rm -f tests/fixtures/reftests/bugs/730-font-scaling.svg
+	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png
 	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b.svg
-	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -56,15 +74,18 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS) || true
+ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
+	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || true
 	echo "ignoring tests result on i386"
 else
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test -- TESTS=$(TESTS)
+	failed=0; \
+	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
-		-print0 | xargs -0 tail -v -c1M
+		-print0 | xargs -0 tail -v -c1M; \
+	debian/log-reftests.py; \
+	exit $$failed
 endif
 endif

## librsvg 2.54.5%2Bdfsg

=== debian/changelog ===
librsvg (2.54.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/librsvg2-2.docs: NEWS.md -> NEWS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 17:00:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,26 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools (>= 1.13),
                jq,
                libcairo2-dev (>= 1.2.0),
                libfreetype6-dev (>= 2.8.0),
-               libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+               libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-dev (>= 2.50.0),
                libharfbuzz-dev,
-               libpango1.0-dev (>= 1.44.0),
+               libpango1.0-dev (>= 1.48.11),
                libxml2-dev (>= 2.9.0),
                locales,
-               rustc (>= 1.52),
+               python3-docutils <!nodoc>,
+               rustc (>= 1.56),
                valac (>= 0.17.5)
-Build-Depends-Indep: libcairo2-doc (>= 1.15.4) <!nodoc>,
-                     libgdk-pixbuf2.0-doc (>= 2.23.5-2) <!nodoc>,
-                     libglib2.0-doc (>= 2.52.0) <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/librsvg
@@ -39,7 +36,7 @@
 Architecture: any
 Depends: gir1.2-rsvg-2.0 (= ${binary:Version}),
          libcairo2-dev (>= 1.2.0),
-         libgdk-pixbuf-2.0-dev (>= 2.23.5-2) | libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libgdk-pixbuf-2.0-dev (>= 2.23.5-2),
          libglib2.0-dev (>= 2.50.0),
          librsvg2-2 (= ${binary:Version}),
          librsvg2-common (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -74,10 +74,6 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || true
-	echo "ignoring tests result on i386"
-else
 	failed=0; \
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
 	find debian -name '*.log' \
@@ -87,7 +83,6 @@
 	debian/log-reftests.py; \
 	exit $$failed
 endif
-endif
 
 override_dh_auto_test-indep:
 	@:

## librsvg 2.54.5+dfsg

=== debian/changelog ===
librsvg (2.54.5+dfsg-1ubuntu2) lunar; urgency=medium

  * Don't fail the build on tests issues on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 15:45:43 +0100

librsvg (2.54.5+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable (LP: #2006633). Remaining changes:
    - Don't fail the build on tests error for i386

 -- Amin Bandali <bandali@canonical.com>  Wed, 08 Feb 2023 14:16:13 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,

=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,10 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
+ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
+	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || true
+	echo "ignoring tests result on i386"
+else
 	failed=0; \
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
 	find debian -name '*.log' \
@@ -83,6 +87,7 @@
 	debian/log-reftests.py; \
 	exit $$failed
 endif
+endif
 
 override_dh_auto_test-indep:
 	@:

## librsvg 2.54.7+dfsg

=== debian/changelog ===
librsvg (2.54.7+dfsg-1~deb12u1) bookworm-security; urgency=medium

  * Team upload
  * Rebuild for bookworm-security

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 17:13:13 +0100

librsvg (2.54.7+dfsg-1) unstable; urgency=high

  * Team upload
  * New upstream stable release 2.54.6
    - Fix a directory traversal vulnerability
      (Closes: #1041810, CVE-2023-38633)
    - Drop a redundant test-case that frequently regressed as a result of
      non-problematic font rendering changes
  * New upstream stable release 2.54.7
    - Fix compilation of 2.54.6 on rustc < 1.58
  * d/rules: Skip several known-failing reftests on big-endian architectures.
    These succeeded when librsvg_2.54.5+dfsg-1 was uploaded in September
    2022, but regressed sometime between then and the bookworm release,
    presumably as a result of changes in some other package.
    (Mitigates: #1038447)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Jul 2023 15:13:38 +0100

librsvg (2.54.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/p/debian/tests-Skip-known-failing-tests-on-i386.patch:
    Skip two tests that have started failing on i386 since October 2022
    (Mitigates: #1038252)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Jun 2023 18:53:35 +0100

librsvg (2.54.5+dfsg-2) unstable; urgency=medium

  * Restore the librsvg2-tests build and corresponding autopkgtests
    which were set up a while ago but disabled to avoid having the upload
    blocked in the Debian NEW queue. Include the svg needed for the tests.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jun 2023 17:25:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: librsvg
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
@@ -100,6 +99,18 @@
  This package includes a command-line utility to convert the SVG files
  to the PNG format.
 
+Package: librsvg2-tests
+Section: misc
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: automated tests for RSVG library
+ The rsvg library is an efficient renderer for Scalable Vector Graphics
+ (SVG) pictures.
+ .
+ This package contains automated tests, which can be run with
+ gnome-desktop-testing or autopkgtest.
+
 Package: gir1.2-rsvg-2.0
 Section: introspection
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,37 @@
 	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b.svg
 	rm -f tests/fixtures/reftests/svg1.1/filters-composite-02-b-ref.png
 endif
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+	# Several tests regressed on big-endian architectures sometime between
+	# September 2022 and June 2023 as a result of changes in some other
+	# package.
+	# https://bugs.debian.org/1038447, GNOME/librsvg#972
+	rm -f tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#973
+	rm -f tests/fixtures/reftests/filter-kernel-unit-length.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#974
+	rm -f tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#975
+	rm -f tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#976
+	rm -f tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#977
+	rm -f tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#978
+	rm -f tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#979
+	rm -f tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#980
+	rm -f tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#981
+	rm -f tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#982
+	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#983
+	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
+	# https://bugs.debian.org/1038447, GNOME/librsvg#984
+	rm -f tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
+endif
 	rm -f tests/fixtures/reftests/bugs/730-font-scaling-ref.png
 	rm -f tests/fixtures/reftests/bugs/730-font-scaling.svg
 	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png
@@ -74,10 +105,6 @@
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en
 	localedef -i en_US -f UTF-8 $(CURDIR)/debian/locales/en_US
 	localedef -i de_DE -f UTF-8 $(CURDIR)/debian/locales/de
-ifneq ($(filter i386 s390x,$(DEB_HOST_ARCH_CPU)),)
-	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || true
-	echo "ignoring tests result on i386"
-else
 	failed=0; \
 	LOCPATH=$(CURDIR)/debian/locales dh_auto_test || failed=1; \
 	find debian -name '*.log' \
@@ -87,7 +114,6 @@
 	debian/log-reftests.py; \
 	exit $$failed
 endif
-endif
 
 override_dh_auto_test-indep:
 	@:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||, \
repack,dversionmangle=s/[~+]dfsg[0-9]*//g,repacksuffix=+dfsg" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## librsvg 2.58.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,9 @@
 
 override_dh_auto_configure:
 	mkdir -p $(CARGO_HOME)
-	cp -a debian/a-link-purple-bg.png tests/fixtures/cmdline/a-link-purple-bg.png
-	# We removed the source code of these packages to reduce the amount
-	# of vendored code to review, but cargo will report errors if there
-	# isn't at least a stub there
-	set -e; for package in js-sys web-sys windows-sys; do \
-		mkdir -p vendor/$$package/src; \
-		touch vendor/$$package/src/lib.rs; \
-	done
+	cp -a debian/a-link-purple-bg.png rsvg_convert/tests/fixtures/a-link-purple-bg.png
+	install -d debian/missing-sources/system-deps/src/tests/lib
+	touch debian/missing-sources/system-deps/src/tests/lib/libteststatic.a
 	dh_auto_configure -- \
 		--enable-pixbuf-loader \
 		--enable-installed-tests \
@@ -53,6 +48,14 @@
 	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/librsvg2-common.postinst.in > \
 		debian/librsvg2-common.postinst
 
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/rsvg/tests
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/rsvg/tests
+endif
+
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
 
@@ -68,36 +71,34 @@
 	# September 2022 and June 2023 as a result of changes in some other
 	# package.
 	# https://bugs.debian.org/1038447, GNOME/librsvg#972
-	rm -f tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/coords-viewattr-02-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#973
-	rm -f tests/fixtures/reftests/filter-kernel-unit-length.svg
+	rm -f rsvg/tests/fixtures/reftests/filter-kernel-unit-length.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#974
-	rm -f tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-composite-04-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#975
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-02-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#976
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-03-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#977
-	rm -f tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-conv-04-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#978
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-01-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#979
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-02-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#980
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-03-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#981
-	rm -f tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/filters-image-05-f.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#982
-	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-05-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#983
-	rm -f tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/pservers-grad-06-b.svg
 	# https://bugs.debian.org/1038447, GNOME/librsvg#984
-	rm -f tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
+	rm -f rsvg/tests/fixtures/reftests/svg1.1/struct-symbol-01-b.svg
 endif
-	rm -f tests/fixtures/reftests/bugs/730-font-scaling-ref.png
-	rm -f tests/fixtures/reftests/bugs/730-font-scaling.svg
-	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b-ref.png
-	rm -f tests/fixtures/reftests/svg1.1/text-text-03-b.svg
+	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling-ref.png
+	rm -f rsvg/tests/fixtures/reftests/bugs/730-font-scaling.svg
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -110,6 +111,7 @@
 	find debian -name '*.log' \
 		-not -name config.log \
 		-not -name test-suite.log \
+		-not -path '*/.local/share/gvfs-metadata/*.log' \
 		-print0 | xargs -0 tail -v -c1M; \
 	debian/log-reftests.py; \
 	exit $$failed
